org.eclipse.eef

## Interface EEFGroupDescription

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFGroupDescriptionImpl

    public interface EEFGroupDescription
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Group Description'.

The following features are supported:

- `Identifier`
- `Label Expression`
- `Domain Class`
- `Semantic Candidate Expression`
- `Precondition Expression`
- `Controls`
- `Semantic Validation Rules`
- `Property Validation Rules`
- `Style`
- `Conditional Styles`

See Also:
  `EefPackage.getEEFGroupDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<EEFGroupConditionalStyle>` `getConditionalStyles()` Returns the value of the 'Conditional Styles' containment reference list.
`org.eclipse.emf.common.util.EList<EEFControlDescription>` `getControls()` Returns the value of the 'Controls' containment reference list.
`java.lang.String` `getDomainClass()` Returns the value of the 'Domain Class' attribute.
`java.lang.String` `getIdentifier()` Returns the value of the 'Identifier' attribute.
`java.lang.String` `getLabelExpression()` Returns the value of the 'Label Expression' attribute.
`java.lang.String` `getPreconditionExpression()` Returns the value of the 'Precondition Expression' attribute.
`org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription>` `getPropertyValidationRules()` Returns the value of the 'Property Validation Rules' containment reference list.
`java.lang.String` `getSemanticCandidateExpression()` Returns the value of the 'Semantic Candidate Expression' attribute.
`org.eclipse.emf.common.util.EList<EEFSemanticValidationRuleDescription>` `getSemanticValidationRules()` Returns the value of the 'Semantic Validation Rules' containment reference list.
`EEFGroupStyle` `getStyle()` Returns the value of the 'Style' containment reference.
`void` `setDomainClass(java.lang.String value)` Sets the value of the '`Domain Class`' attribute.
`void` `setIdentifier(java.lang.String value)` Sets the value of the '`Identifier`' attribute.
`void` `setLabelExpression(java.lang.String value)` Sets the value of the '`Label Expression`' attribute.
`void` `setPreconditionExpression(java.lang.String value)` Sets the value of the '`Precondition Expression`' attribute.
`void` `setSemanticCandidateExpression(java.lang.String value)` Sets the value of the '`Semantic Candidate Expression`' attribute.
`void` `setStyle(EEFGroupStyle value)` Sets the value of the '`Style`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getIdentifier

    java.lang.String getIdentifier()

Returns the value of the 'Identifier' attribute. Used to identify a specific Group in a Page.

Returns:
  the value of the 'Identifier' attribute.
See Also:
  `setIdentifier(String)`, `EefPackage.getEEFGroupDescription_Identifier()`

#### setIdentifier

    void setIdentifier(java.lang.String value)

Sets the value of the '`Identifier`' attribute.

Parameters:
  `value` - the new value of the 'Identifier' attribute.
See Also:
  `getIdentifier()`

#### getLabelExpression

    java.lang.String getLabelExpression()

Returns the value of the 'Label Expression' attribute. The label of the Group visible by the end users. If not specified, the Group is not drawn only its contained widgets are shown, else it is visible as a section.

Returns:
  the value of the 'Label Expression' attribute.
See Also:
  `setLabelExpression(String)`, `EefPackage.getEEFGroupDescription_LabelExpression()`

#### setLabelExpression

    void setLabelExpression(java.lang.String value)

Sets the value of the '`Label Expression`' attribute.

Parameters:
  `value` - the new value of the 'Label Expression' attribute.
See Also:
  `getLabelExpression()`

#### getDomainClass

    java.lang.String getDomainClass()

Returns the value of the 'Domain Class' attribute. The class of the EObject used as "self" in the page

Returns:
  the value of the 'Domain Class' attribute.
See Also:
  `setDomainClass(String)`, `EefPackage.getEEFGroupDescription_DomainClass()`

#### setDomainClass

    void setDomainClass(java.lang.String value)

Sets the value of the '`Domain Class`' attribute.

Parameters:
  `value` - the new value of the 'Domain Class' attribute.
See Also:
  `getDomainClass()`

#### getSemanticCandidateExpression

    java.lang.String getSemanticCandidateExpression()

Returns the value of the 'Semantic Candidate Expression' attribute. The elements that are represented. If not specified, the EEF runtime reuses the context of the Page for the Group.

Returns:
  the value of the 'Semantic Candidate Expression' attribute.
See Also:
  `setSemanticCandidateExpression(String)`, `EefPackage.getEEFGroupDescription_SemanticCandidateExpression()`

#### setSemanticCandidateExpression

    void setSemanticCandidateExpression(java.lang.String value)

Sets the value of the '`Semantic Candidate Expression`' attribute.

Parameters:
  `value` - the new value of the 'Semantic Candidate Expression' attribute.
See Also:
  `getSemanticCandidateExpression()`

#### getPreconditionExpression

    java.lang.String getPreconditionExpression()

Returns the value of the 'Precondition Expression' attribute. Indicates if the group should be displayed.

Returns:
  the value of the 'Precondition Expression' attribute.
See Also:
  `setPreconditionExpression(String)`, `EefPackage.getEEFGroupDescription_PreconditionExpression()`

#### setPreconditionExpression

    void setPreconditionExpression(java.lang.String value)

Sets the value of the '`Precondition Expression`' attribute.

Parameters:
  `value` - the new value of the 'Precondition Expression' attribute.
See Also:
  `getPreconditionExpression()`

#### getControls

    org.eclipse.emf.common.util.EList<EEFControlDescription> getControls()

Returns the value of the 'Controls' containment reference list. The list contents are of type `EEFControlDescription`. Contains the controls related to a group.

Returns:
  the value of the 'Controls' containment reference list.
See Also:
  `EefPackage.getEEFGroupDescription_Controls()`

#### getSemanticValidationRules

    org.eclipse.emf.common.util.EList<EEFSemanticValidationRuleDescription> getSemanticValidationRules()

Returns the value of the 'Semantic Validation Rules' containment reference list. The list contents are of type `EEFSemanticValidationRuleDescription`. The validation rules used to validate the semantic element of the group.

Returns:
  the value of the 'Semantic Validation Rules' containment reference list.
See Also:
  `EefPackage.getEEFGroupDescription_SemanticValidationRules()`

#### getPropertyValidationRules

    org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription> getPropertyValidationRules()

Returns the value of the 'Property Validation Rules' containment reference list. The list contents are of type `EEFPropertyValidationRuleDescription`. The validation rules used to validate widgets of the group.

Returns:
  the value of the 'Property Validation Rules' containment reference list.
See Also:
  `EefPackage.getEEFGroupDescription_PropertyValidationRules()`

#### getStyle

    EEFGroupStyle getStyle()

Returns the value of the 'Style' containment reference. Defines the group style

Returns:
  the value of the 'Style' containment reference.
See Also:
  `#setStyle(EEFTextStyle)`, `EefPackage.getEEFGroupDescription_Style()`

#### setStyle

    void setStyle(EEFGroupStyle value)

Sets the value of the '`Style`' containment reference.

Parameters:
  `value` - the new value of the 'Style' containment reference.
See Also:
  `getStyle()`

#### getConditionalStyles

    org.eclipse.emf.common.util.EList<EEFGroupConditionalStyle> getConditionalStyles()

Returns the value of the 'Conditional Styles' containment reference list. The list contents are of type `EEFGroupConditionalStyle`. Defines the text style associated to a precondition

Returns:
  the value of the 'Conditional Styles' containment reference list.
See Also:
  `EefPackage.getEEFGroupDescription_ConditionalStyles()`